{
File name       : MainFrm.Pas
File date       : February 22, 1998
Author          : Xavier & Steve Teixeira
Last Modified   : February 22, 1998

Copyright  1998 by Delphi 4 Developer's Guide - Xavier Pacheco and Steve Teixeira
}

unit MainFrm;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;
const
  crCrossHair = 1;

type
  TMainForm = class(TForm)
    btnChangeCursor: TButton;
    procedure btnChangeCursorClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.btnChangeCursorClick(Sender: TObject);
var
  HC: HCursor;
begin
  HC := LoadCursor (hInstance, 'CROSSHAIR'); // Load the cursor
  Screen.Cursors[crCrossHair] := HC;         // Add this cursor to the Cursors array
  Screen.Cursor := crCrossHair;  //Now change the screen's cursor to the new cursor
end;

end.
