{
Copyright  1998 by Delphi 4 Developer's Guide - Xavier Pacheco and Steve Teixeira
}

unit MainFrm;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TMainForm = class(TForm)
    btnExit: TButton;
    rgExitOptions: TRadioGroup;
    procedure btnExitClick(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.btnExitClick(Sender: TObject);
begin
  case rgExitOptions.ItemIndex of
    0: Win32Check(ExitWindows(0, 0)); // Exit and log on as a
                                      // different user.
    1: Win32Check(ExitWindowsEx(EWX_REBOOT, 0));  // Exit/Reboot
    2: Win32Check(ExitWindowsEx(EWX_SHUTDOWN, 0));// Exit to Power Off
    // Exit/Log off/Log on as different user
    3: Win32Check(ExitWindowsEx(EWX_LOGOFF, 0));
  end;
end;

end.
