{
Copyright  1998 by Delphi 4 Developer's Guide - Xavier Pacheco and Steve Teixeira
}

unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBMODEFRM, StdCtrls, ExtCtrls;

type
  TDBModeForm1 = class(TDBModeForm)
    lblFormMode: TLabel;
    rgFormMode: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure rgFormModeClick(Sender: TObject);
  private
    { Private declarations }
  public
    procedure OnChangeMode( Sender: TObject );
  end;

var
  DBModeForm1: TDBModeForm1;

implementation

{$R *.DFM}

{ TDBModeForm1 }

procedure TDBModeForm1.OnChangeMode(Sender: TObject);
begin
  case FormMode of
    fmInsert: lblFormMode.Caption := 'Insert Mode';
    fmEdit:   lblFormMode.Caption := 'Edit Mode';
    fmBrowse: lblFormMode.Caption := 'Browse Mode';
  end;
//  lblFormMode.Caption := rgFormMode.Items[rgFormMode.ItemIndex];
end;

procedure TDBModeForm1.FormCreate(Sender: TObject);
begin
  inherited;
  OnSetFormMode := OnChangeMode;
  FormMode := fmBrowse;
end;

procedure TDBModeForm1.rgFormModeClick(Sender: TObject);
begin
  inherited;
  FormMode := TFormMode(rgFormMode.ItemIndex);
end;

end.
