{
Copyright  1998 by Delphi 4 Developer's Guide - Xavier Pacheco and Steve Teixeira
}

unit FTypForm;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons;

const
  mrTXT = mrAll+1;
  mrBMP = mrAll+2;
  mrRTF = mrAll+3;

type

  TFileTypeForm = class(TForm)
    rgFormType: TRadioGroup;
    btnOK: TButton;
    procedure btnOkClick(Sender: TObject);
  end;

var
  FileTypeForm: TFileTypeForm;


function GetFileType: Integer;

implementation

function GetFileType: Integer;
{ This function returns the file type selected by the user as
  represented by one of the above defined constants. }
begin
  FileTypeForm := TFileTypeForm.Create(Application);
  try
    Result := FileTypeForm.ShowModal;
  finally
    FileTypeForm.Free;
  end;
end;

{$R *.DFM}

procedure TFileTypeForm.btnOkClick(Sender: TObject);
begin
  { Return the correct modal result based on the selected file type }
  case rgFormType.ItemIndex of
   0: ModalResult := mrTXT;
   1: ModalResult := mrRTF;
   2: ModalResult := mrBMP;
  end;
end;

end.
