unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ShellAPI;

type
  TMainForm = class(TForm)
    memEditor: TMemo;
    procedure FormCreate(Sender: TObject);
  private
    FFileName: string;
    procedure SetFileName(const Value: string);
  public
    property FileName: string read FFileName write SetFileName;
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

uses ApBarFrm;

const
  CaptionStr = 'AppBar Demo - %s';

procedure TMainForm.FormCreate(Sender: TObject);
begin
  AppBarForm := TAppBarForm.Create(Self);
  AppBarForm.Show;
end;

procedure TMainForm.SetFileName(const Value: string);
begin
  if Value <> FFileName then
  begin
    FFileName := Value;
    memEditor.Lines.LoadFromFile(FFileName);
    Caption := Format(CaptionStr, [FFileName]);
  end;
end;

end.
