{$ifdef BUILD_EXE}
program ExptExpt;     // Build as EXE
{$else}
library ExptExpt;     // Build as DLL
{$endif}

uses
{$ifndef BUILD_EXE}
  ShareMem,           // ShareMem required for DLL
  InitExpt,           // Expert stuff
{$endif}
  ExptIntf,
  Forms,
  Main in 'Main.pas' {MainForm},
  AddModU in 'AddModU.pas' {AddModForm};

{$ifdef BUILD_EXE}
{$R *.RES}                              // required for EXE
{$else}
exports                                 // required for DLL
  InitExpert name ExpertEntryPoint;     // required entry point
{$endif}

begin
{$ifdef BUILD_EXE}                      // required for EXE...
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
{$endif}
end.
