unit LoginFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TLoginForm = class(TForm)
    imgAthena: TImage;
    edtUserName: TEdit;
    edtPassWord: TEdit;
    lblUserName: TLabel;
    lblPassword: TLabel;
    btnOK: TButton;
    btnCancel: TButton;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function GetLoginParams(ALoginParams: TStrings): word;

implementation
{$R *.DFM}

function GetLoginParams(ALoginParams: TStrings): word;
var
  LoginForm: TLoginForm;
begin
  LoginForm := TLoginForm.Create(Application);
  try
    Result := LoginForm.ShowModal;
    if Result = mrOK then
    begin
      ALoginParams.Values['USER NAME'] := LoginForm.edtUserName.Text;
      ALoginParams.Values['PASSWORD'] := LoginForm.edtPassWord.Text;
    end;
  finally
    LoginForm.Free;
  end;
end;

end.
