unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp, WebUtils;

type
  TWebModule1 = class(TWebModule)
    procedure WebModule1WebActionItem1Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure WebModule1WebActionItem2Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule1: TWebModule1;  

implementation

{$R *.DFM}


procedure TWebModule1.WebModule1WebActionItem1Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
var
  List: TStringList;
begin
  List := TStringList.Create;
  try
     List.Add('LastVisit=' + FormatDateTime('mm/dd/yyyy hh:mm:ss', Now));
     Response.SetCookieField(List, '', '', Now + 10, False);
     Response.Content := 'Cookie set -- ' + Response.Cookies[0].Name;
  finally
    List.Free;
  end;
  Handled := True;
end;

procedure TWebModule1.WebModule1WebActionItem2Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
var
  Params: TParamsList;
begin
     Params := TParamsList.Create;
     try
       Params.AddParameters(Request.CookieFields);
       Response.Content := 'You last set the cookie on ' + Params['LastVisit'];
     finally
       Params.Free;
     end;
end;

end.
