unit CustServ_TLB;

// ************************************************************************ //
// WARNING                                                                  //
// -------                                                                  //
// The types declared in this file were generated from data read from a     //
// Type Library. If this type library is explicitly or indirectly (via      //
// another type library referring to this type library) re-imported, or the //
// 'Refresh' command of the Type Library Editor activated while editing the //
// Type Library, the contents of this file will be regenerated and all      //
// manual modifications will be lost.                                       //
// ************************************************************************ //

// PASTLWTR : $Revision:   1.11.1.21  $
// File generated on 5/20/98 6:09:20 PM from Type Library described below.

// ************************************************************************ //
// Type Lib: D:\X\Delphi Books\D4DG\Code\Ch33\CustServ.tlb
// IID\LCID: {53600B02-EF5E-11D1-8500-F07C61000000}\0
// Helpfile: 
// HelpString: CustServ Library
// Version:    1.0
// ************************************************************************ //

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, DbOleCtl, StdVCL;

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:      //
//   Type Libraries     : LIBID_xxxx                                    //
//   CoClasses          : CLASS_xxxx                                    //
//   DISPInterfaces     : DIID_xxxx                                     //
//   Non-DISP interfaces: IID_xxxx                                      //
// *********************************************************************//
const
  LIBID_CustServ: TGUID = '{53600B02-EF5E-11D1-8500-F07C61000000}';
  IID_ICustomerRemoteDataModule: TGUID = '{53600B03-EF5E-11D1-8500-F07C61000000}';
  CLASS_CustomerRemoteDataModule: TGUID = '{53600B05-EF5E-11D1-8500-F07C61000000}';

// *********************************************************************//
// Forward declaration of interfaces defined in Type Library            //
// *********************************************************************//
type
  ICustomerRemoteDataModule = interface;
  ICustomerRemoteDataModuleDisp = dispinterface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                     //
// (NOTE: Here we map each CoClass to its Default Interface             //
// *********************************************************************//
  CustomerRemoteDataModule = ICustomerRemoteDataModule;

  ICustomerRemoteDataModule = interface(IDataBroker)
    ['{53600B03-EF5E-11D1-8500-F07C61000000}']
    function Get_qryCust: IProvider; safecall;
    procedure FilterByState(const AStateStr: WideString; out Data: OleVariant); safecall;
    procedure FilterByCity(const ACity: WideString; out Data: OleVariant); safecall;
    procedure NoFilter(out Data: OleVariant); safecall;
    property qryCust: IProvider read Get_qryCust;
  end;

// Dispinterface declaration for dual interface ICustomerRemoteDataModule

  ICustomerRemoteDataModuleDisp = dispinterface
    ['{53600B03-EF5E-11D1-8500-F07C61000000}']
    property qryCust: IProvider readonly dispid 1;
    procedure FilterByState(const AStateStr: WideString; out Data: OleVariant); dispid 2;
    procedure FilterByCity(const ACity: WideString; out Data: OleVariant); dispid 3;
    procedure NoFilter(out Data: OleVariant); dispid 4;
  end;

  CoCustomerRemoteDataModule = class
    class function Create: ICustomerRemoteDataModule;
    class function CreateRemote(const MachineName: string): ICustomerRemoteDataModule;
  end;

implementation

uses ComObj;

class function CoCustomerRemoteDataModule.Create: ICustomerRemoteDataModule;
begin
  Result := CreateComObject(CLASS_CustomerRemoteDataModule) as ICustomerRemoteDataModule;
end;

class function CoCustomerRemoteDataModule.CreateRemote(const MachineName: string): ICustomerRemoteDataModule;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_CustomerRemoteDataModule) as ICustomerRemoteDataModule;
end;

end.
