unit ActionFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type

  TPostActionEvent = procedure (Sender: TObject; Action: TStrings) of Object;

  TActionForm = class(TForm)
    memAction: TMemo;
    lblAction: TLabel;
    btnOK: TButton;
    btnCancel: TButton;
    procedure btnOKClick(Sender: TObject);
  private
    FPostAction: TPostActionEvent;
  public
    { Public declarations }
  end;


procedure NewActionForm(APostAction: TPostActionEvent);

implementation
{$R *.DFM}

procedure NewActionForm(APostAction: TPostActionEvent);
var
  ActionForm: TActionForm;
begin
  ActionForm := TActionForm.Create(Application);
  try
    ActionForm.FPostAction := APostAction;
    ActionForm.ShowModal;
  finally
    ActionForm.Free;
  end;
end;

procedure TActionForm.btnOKClick(Sender: TObject);
begin
  if Assigned(FPostAction) then
    FPostAction(Self, memAction.Lines); 
end;

end.
