unit DDGReg;

interface

procedure Register;

implementation

uses Classes, ExptIntf, DsgnIntf, TrayIcon, AppBars, ABExpt, Worthless,
  RunBtn, PwDlg, Planets, LbTab, drwpnel, HalfMin, DDGClock, ExMemo, HeadList,
  MemView, Marquee, PlanetPE, Planet, RunBtnPE, CompEdit, DefProp, Wavez,
  WavezEd, LnchPad, LPadPE, Cards, DumbExpt; 

procedure Register;
begin
  RegisterComponents('DDG', [TTrayNotifyIcon, TddgDigitalClock, TddgExtendedMemo,
    TddgHalfMinute, TddgDrawPanel, TddgTabListbox, TddgPlanets, TddgPasswordDialog, TddgRunButton,
    TddgWorthLess, THeaderListBox, TddgMemView, TddgMarquee, TddgPlanet,
    TComponentEditorSample, TDefinePropTest, TddgWaveFile, TddgLaunchPad, TCard]);

  RegisterPropertyEditor(TypeInfo(TRunButtons), TddgLaunchPad, '', TRunButtonsProperty);
  RegisterPropertyEditor(TypeInfo(TWaveFileString), TddgWaveFile, 'WaveName',
    TWaveFileStringProperty);

  RegisterComponentEditor(TddgWaveFile, TWaveEditor);
  RegisterComponentEditor(TComponentEditorSample, TSampleEditor);
  RegisterPropertyEditor(TypeInfo(TPlanetName), TddgPlanet,
   'PlanetName', TPlanetNameProperty);
  RegisterPropertyEditor(TypeInfo(TCommandLine), TddgRunButton, '', TCommandLineProperty);
  RegisterLibraryExpert(TDumbExpert.Create);


    // Register any custom modules, library experts.

  RegisterCustomModule(TAppBar, TCustomModule);
  RegisterLibraryExpert(TAppBarExpert.Create);

end;

end.
 