unit DumbExpt;

interface

uses
  Dialogs, SysUtils, Windows, VirtIntf, ExptIntf, ToolIntf;

type
  TDumbExpert = class(TIExpert)
    function GetName: string; override;
    function GetStyle: TExpertStyle; override;
    function GetState: TExpertState; override;
    function GetIDString: string; override;
    function GetMenuText: string; override;
    procedure Execute; override;
  end;

implementation

function TDumbExpert.GetName: string;
begin
  Result := 'Dumb Expert';
end;

function TDumbExpert.GetStyle: TExpertStyle;
begin
  Result := esStandard;
end;

function TDumbExpert.GetState: TExpertState;
begin
  Result := [esEnabled];
end;

function TDumbExpert.GetIDString: String;
begin
  Result := 'DDG.DumbExpert';
end;

function TDumbExpert.GetMenuText: string;
begin
  Result := 'Dumb Expert';
end;

procedure TDumbExpert.Execute;
begin
  MessageDlg('This is a dumb expert.', mtInformation, [mbOk], 0);
end;

end.

