{
Copyright  1998 by Delphi 4 Developer's Guide - Xavier Pacheco and Steve Teixeira
}

unit MainFrm;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls;

type
  TMainForm = class(TForm)
    gbBorderIcons: TGroupBox;
    cbSystemMenu: TCheckBox;
    cbMinimize: TCheckBox;
    cbMaximize: TCheckBox;
    rgBorderStyle: TRadioGroup;
    cbHelp: TCheckBox;
    procedure cbMinimizeClick(Sender: TObject);
    procedure rgBorderStyleClick(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.cbMinimizeClick(Sender: TObject);
var
  IconSet: TBorderIcons;  // Temp variable to hold values.
begin
  IconSet := [];  // Initialize to an empty set
  if cbSystemMenu.Checked then
    IconSet := IconSet + [biSystemMenu]; // Add the biSystemMenu button
  if cbMinimize.Checked then
    IconSet := IconSet + [biMinimize];   // Add the biMinimize button
  if cbMaximize.Checked then
    IconSet := IconSet + [biMaximize];   // Add the biMaximize button
  if cbHelp.Checked then
    IconSet := IconSet + [biHelp];

  BorderIcons := IconSet;                // Assign result to the form's
end;                                     // BorderIcons property.

procedure TMainForm.rgBorderStyleClick(Sender: TObject);
begin
  BorderStyle := TBorderStyle(rgBorderStyle.ItemIndex);
end;

end.
