{
Copyright  1998 by Delphi 4 Developer's Guide - Xavier Pacheco and Steve Teixeira
}

unit MainFrm;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus;

type
  TMainForm = class(TForm)
    mmMainMenu: TMainMenu;
    mmiForms: TMenuItem;
    mmiModal: TMenuItem;
    mmiModeless: TMenuItem;
    procedure mmiModalClick(Sender: TObject);
    procedure mmiModelessClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation
uses Modalfrm, ModelessFrm;

{$R *.DFM}

procedure TMainForm.mmiModalClick(Sender: TObject);
begin
  ModalForm := TModalForm.Create(Application);  // Create ModalForm instance }
  try
    if ModalForm.ShowModal = mrOk then     // Show form in modal state
     { do something };                     // Execute some code
  finally
    ModalForm.Free;                        // Free form instance
    ModalForm := nil;                      // Set form variable to nil
  end;
end;

procedure TMainForm.mmiModelessClick(Sender: TObject);
begin
  { Check if instance of for exists }
  if not Assigned(Modeless) then
    { Create the form instance }
    Modeless := TModeless.Create(Application);
  Modeless.Show; // Show form as modeless, in this case the form
end;

end.
 