{
Copyright  1998 by Delphi 4 Developer's Guide - Xavier Pacheco and Steve Teixeira
}

unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids, DBGrids, DB, DBTables;

type

  TMainForm = class(TForm)
    btnReadCapitals: TButton;
    tblCapitals: TTable;
    dsCapitals: TDataSource;
    dbgCapitals: TDBGrid;
    procedure btnReadCapitalsClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.btnReadCapitalsClick(Sender: TObject);
var
  F: TextFile;
  StateName: String[20];
  CapitalName: String[20];
begin
  tblCapitals.Open;
  // Assign the file to the columnar text file.
  AssignFile(F, 'USCAPS.TXT');
  // Open the file for read access.
  Reset(F);
  try
    while not Eof(F) do
    begin
      { Read a line of the file into the two strings each of whose length
        matches the number of characters that make up the column. }
      Readln(F, StateName, CapitalName);
      // Now store both strings into separate columns in a Paradox table
      tblCapitals.Insert;
      tblCapitals['State_Name']    := StateName;
      tblCapitals['State_Capital'] := CapitalName;
      tblCapitals.Post;
    end;
  finally
    CloseFile(F); // Close the file when finished.
  end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  // Empty the table when project starts.
  tblCapitals.EmptyTable;
end;

end.
