unit ProcMem;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, MemView, SysMain;

type
  THeapViewForm = class(TForm)
    Panel1: TPanel;
    CloseBtn: TButton;
    HeapView: TddgMemView;
  end;

procedure ShowHeapView(Memory: Pointer; MemSize: Integer);

implementation

{$R *.DFM}

procedure ShowHeapView(Memory: Pointer; MemSize: Integer);
begin
  with THeapViewForm.Create(Application) do
    try
      Font := MainForm.Font;
      HeapView.SetMemory(Memory, MemSize);
      ShowModal;
    finally
      Free;
    end;
end;

end.
