unit AxCard_TLB;

// ************************************************************************ //
// WARNING                                                                  //
// -------                                                                  //
// The types declared in this file were generated from data read from a     //
// Type Library. If this type library is explicitly or indirectly (via      //
// another type library referring to this type library) re-imported, or the //
// 'Refresh' command of the Type Library Editor activated while editing the //
// Type Library, the contents of this file will be regenerated and all      //
// manual modifications will be lost.                                       //
// ************************************************************************ //

// PASTLWTR : $Revision:   1.11.1.63  $
// File generated on 6/23/98 12:06:25 AM from Type Library described below.

// ************************************************************************ //
// Type Lib: C:\work\d4dg\code\Ch25\AxCard\AxCard.tlb
// IID\LCID: {7B33D940-0A2C-11D2-AE5C-04640BC10000}\0
// Helpfile: 
// HelpString: AxCard Library
// Version:    1.0
// ************************************************************************ //

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:      //
//   Type Libraries     : LIBID_xxxx                                    //
//   CoClasses          : CLASS_xxxx                                    //
//   DISPInterfaces     : DIID_xxxx                                     //
//   Non-DISP interfaces: IID_xxxx                                      //
// *********************************************************************//
const
  LIBID_AxCard: TGUID = '{7B33D940-0A2C-11D2-AE5C-04640BC10000}';
  IID_ICardX: TGUID = '{7B33D941-0A2C-11D2-AE5C-04640BC10000}';
  DIID_ICardXEvents: TGUID = '{7B33D943-0A2C-11D2-AE5C-04640BC10000}';
  CLASS_CardX: TGUID = '{7B33D945-0A2C-11D2-AE5C-04640BC10000}';

// *********************************************************************//
// Declaration of Enumerations defined in Type Library                  //
// *********************************************************************//
// TxDragMode constants
type
  TxDragMode = TOleEnum;
const
  dmManual = $00000000;
  dmAutomatic = $00000001;

// TxCardSuit constants
type
  TxCardSuit = TOleEnum;
const
  csClub = $00000000;
  csDiamond = $00000001;
  csHeart = $00000002;
  csSpade = $00000003;

// TxCardValue constants
type
  TxCardValue = TOleEnum;
const
  cvAce = $00000000;
  cvTwo = $00000001;
  cvThree = $00000002;
  cvFour = $00000003;
  cvFive = $00000004;
  cvSix = $00000005;
  cvSeven = $00000006;
  cvEight = $00000007;
  cvNine = $00000008;
  cvTen = $00000009;
  cvJack = $0000000A;
  cvQueen = $0000000B;
  cvKing = $0000000C;

// TxMouseButton constants
type
  TxMouseButton = TOleEnum;
const
  mbLeft = $00000000;
  mbRight = $00000001;
  mbMiddle = $00000002;

// TxAlignment constants
type
  TxAlignment = TOleEnum;
const
  taLeftJustify = $00000000;
  taRightJustify = $00000001;
  taCenter = $00000002;

// TxBiDiMode constants
type
  TxBiDiMode = TOleEnum;
const
  bdLeftToRight = $00000000;
  bdRightToLeft = $00000001;
  bdRightToLeftNoAlign = $00000002;
  bdRightToLeftReadingOnly = $00000003;

type

// *********************************************************************//
// Forward declaration of interfaces defined in Type Library            //
// *********************************************************************//
  ICardX = interface;
  ICardXDisp = dispinterface;
  ICardXEvents = dispinterface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                     //
// (NOTE: Here we map each CoClass to its Default Interface)            //
// *********************************************************************//
  CardX = ICardX;


// *********************************************************************//
// Interface: ICardX
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {7B33D941-0A2C-11D2-AE5C-04640BC10000}
// *********************************************************************//
  ICardX = interface(IDispatch)
    ['{7B33D941-0A2C-11D2-AE5C-04640BC10000}']
    function Get_BackColor: OLE_COLOR; safecall;
    procedure Set_BackColor(Value: OLE_COLOR); safecall;
    function Get_Color: OLE_COLOR; safecall;
    procedure Set_Color(Value: OLE_COLOR); safecall;
    function Get_DragCursor: Smallint; safecall;
    procedure Set_DragCursor(Value: Smallint); safecall;
    function Get_DragMode: TxDragMode; safecall;
    procedure Set_DragMode(Value: TxDragMode); safecall;
    function Get_FaceUp: WordBool; safecall;
    procedure Set_FaceUp(Value: WordBool); safecall;
    function Get_ParentColor: WordBool; safecall;
    procedure Set_ParentColor(Value: WordBool); safecall;
    function Get_Suit: TxCardSuit; safecall;
    procedure Set_Suit(Value: TxCardSuit); safecall;
    function Get_Value: TxCardValue; safecall;
    procedure Set_Value(Value: TxCardValue); safecall;
    function Get_DoubleBuffered: WordBool; safecall;
    procedure Set_DoubleBuffered(Value: WordBool); safecall;
    procedure FlipChildren(AllLevels: WordBool); safecall;
    function DrawTextBiDiModeFlags(Flags: Integer): Integer; safecall;
    function DrawTextBiDiModeFlagsReadingOnly: Integer; safecall;
    function Get_Enabled: WordBool; safecall;
    procedure Set_Enabled(Value: WordBool); safecall;
    function GetControlsAlignment: TxAlignment; safecall;
    procedure InitiateAction; safecall;
    function IsRightToLeft: WordBool; safecall;
    function UseRightToLeftAlignment: WordBool; safecall;
    function UseRightToLeftReading: WordBool; safecall;
    function UseRightToLeftScrollBar: WordBool; safecall;
    function Get_BiDiMode: TxBiDiMode; safecall;
    procedure Set_BiDiMode(Value: TxBiDiMode); safecall;
    function Get_Visible: WordBool; safecall;
    procedure Set_Visible(Value: WordBool); safecall;
    function Get_Cursor: Smallint; safecall;
    procedure Set_Cursor(Value: Smallint); safecall;
    function ClassNameIs(const Name: WideString): WordBool; safecall;
    procedure AboutBox; safecall;
    property BackColor: OLE_COLOR read Get_BackColor write Set_BackColor;
    property Color: OLE_COLOR read Get_Color write Set_Color;
    property DragCursor: Smallint read Get_DragCursor write Set_DragCursor;
    property DragMode: TxDragMode read Get_DragMode write Set_DragMode;
    property FaceUp: WordBool read Get_FaceUp write Set_FaceUp;
    property ParentColor: WordBool read Get_ParentColor write Set_ParentColor;
    property Suit: TxCardSuit read Get_Suit write Set_Suit;
    property Value: TxCardValue read Get_Value write Set_Value;
    property DoubleBuffered: WordBool read Get_DoubleBuffered write Set_DoubleBuffered;
    property Enabled: WordBool read Get_Enabled write Set_Enabled;
    property BiDiMode: TxBiDiMode read Get_BiDiMode write Set_BiDiMode;
    property Visible: WordBool read Get_Visible write Set_Visible;
    property Cursor: Smallint read Get_Cursor write Set_Cursor;
  end;

// *********************************************************************//
// DispIntf:  ICardXDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {7B33D941-0A2C-11D2-AE5C-04640BC10000}
// *********************************************************************//
  ICardXDisp = dispinterface
    ['{7B33D941-0A2C-11D2-AE5C-04640BC10000}']
    property BackColor: OLE_COLOR dispid 1;
    property Color: OLE_COLOR dispid -501;
    property DragCursor: Smallint dispid 2;
    property DragMode: TxDragMode dispid 3;
    property FaceUp: WordBool dispid 4;
    property ParentColor: WordBool dispid 5;
    property Suit: TxCardSuit dispid 6;
    property Value: TxCardValue dispid 7;
    property DoubleBuffered: WordBool dispid 10;
    procedure FlipChildren(AllLevels: WordBool); dispid 11;
    function DrawTextBiDiModeFlags(Flags: Integer): Integer; dispid 14;
    function DrawTextBiDiModeFlagsReadingOnly: Integer; dispid 15;
    property Enabled: WordBool dispid -514;
    function GetControlsAlignment: TxAlignment; dispid 16;
    procedure InitiateAction; dispid 18;
    function IsRightToLeft: WordBool; dispid 19;
    function UseRightToLeftAlignment: WordBool; dispid 24;
    function UseRightToLeftReading: WordBool; dispid 25;
    function UseRightToLeftScrollBar: WordBool; dispid 26;
    property BiDiMode: TxBiDiMode dispid 27;
    property Visible: WordBool dispid 28;
    property Cursor: Smallint dispid 29;
    function ClassNameIs(const Name: WideString): WordBool; dispid 33;
    procedure AboutBox; dispid -552;
  end;

// *********************************************************************//
// DispIntf:  ICardXEvents
// Flags:     (4096) Dispatchable
// GUID:      {7B33D943-0A2C-11D2-AE5C-04640BC10000}
// *********************************************************************//
  ICardXEvents = dispinterface
    ['{7B33D943-0A2C-11D2-AE5C-04640BC10000}']
    procedure OnClick; dispid 1;
    procedure OnDblClick; dispid 2;
    procedure OnKeyPress(var Key: Smallint); dispid 7;
  end;


// *********************************************************************//
// OLE Control Proxy class declaration
// Control Name     : TCardX
// Help String      : CardX Control
// Default Interface: ICardX
// Def. Intf. DISP? : No
// Event   Interface: ICardXEvents
// TypeFlags        : (34) CanCreate Control
// *********************************************************************//
  TCardXOnKeyPress = procedure(Sender: TObject; var Key: Smallint) of object;

  TCardX = class(TOleControl)
  private
    FOnClick: TNotifyEvent;
    FOnDblClick: TNotifyEvent;
    FOnKeyPress: TCardXOnKeyPress;
    FIntf: ICardX;
    function  GetControlInterface: ICardX;
  protected
    procedure CreateControl;
    procedure InitControlData; override;
  public
    procedure FlipChildren(AllLevels: WordBool);
    function DrawTextBiDiModeFlags(Flags: Integer; out Value: Integer): Integer;
    function DrawTextBiDiModeFlagsReadingOnly(out Value: Integer): Integer;
    function GetControlsAlignment(out Value: TxAlignment): TxAlignment;
    procedure InitiateAction;
    function IsRightToLeft(out Value: WordBool): WordBool;
    function UseRightToLeftAlignment(out Value: WordBool): WordBool;
    function UseRightToLeftReading(out Value: WordBool): WordBool;
    function UseRightToLeftScrollBar(out Value: WordBool): WordBool;
    function ClassNameIs(const Name: WideString; out Value: WordBool): WordBool;
    procedure AboutBox;
    property  ControlInterface: ICardX read GetControlInterface;
    property DoubleBuffered: WordBool index 10 read GetWordBoolProp write SetWordBoolProp;
    property Enabled: WordBool index -514 read GetWordBoolProp write SetWordBoolProp;
    property BiDiMode: TOleEnum index 27 read GetTOleEnumProp write SetTOleEnumProp;
    property Visible: WordBool index 28 read GetWordBoolProp write SetWordBoolProp;
  published
    property BackColor: TColor index 1 read GetTColorProp write SetTColorProp stored False;
    property Color: TColor index -501 read GetTColorProp write SetTColorProp stored False;
    property DragCursor: Smallint index 2 read GetSmallintProp write SetSmallintProp stored False;
    property DragMode: TOleEnum index 3 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property FaceUp: WordBool index 4 read GetWordBoolProp write SetWordBoolProp stored False;
    property ParentColor: WordBool index 5 read GetWordBoolProp write SetWordBoolProp stored False;
    property Suit: TOleEnum index 6 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property Value: TOleEnum index 7 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property Cursor: Smallint index 29 read GetSmallintProp write SetSmallintProp stored False;
    property OnClick: TNotifyEvent read FOnClick write FOnClick;
    property OnDblClick: TNotifyEvent read FOnDblClick write FOnDblClick;
    property OnKeyPress: TCardXOnKeyPress read FOnKeyPress write FOnKeyPress;
  end;

procedure Register;

implementation

uses ComObj;

procedure TCardX.InitControlData;
const
  CEventDispIDs: array [0..2] of DWORD = (
    $00000001, $00000002, $00000007);
  CControlData: TControlData = (
    ClassID: '{7B33D945-0A2C-11D2-AE5C-04640BC10000}';
    EventIID: '{7B33D943-0A2C-11D2-AE5C-04640BC10000}';
    EventCount: 3;
    EventDispIDs: @CEventDispIDs;
    LicenseKey: nil;
    Flags: $00000009;
    Version: 300);
begin
  ControlData := @CControlData;
end;

procedure TCardX.CreateControl;

  procedure DoCreate;
  begin
    FIntf := IUnknown(OleObject) as ICardX;
  end;

begin
  if FIntf = nil then DoCreate;
end;

function TCardX.GetControlInterface: ICardX;
begin
  CreateControl;
  Result := FIntf;
end;

procedure TCardX.FlipChildren(AllLevels: WordBool);
begin
  ControlInterface.FlipChildren(AllLevels);
end;

function TCardX.DrawTextBiDiModeFlags(Flags: Integer; out Value: Integer): Integer;
begin
  Result := ControlInterface.DrawTextBiDiModeFlags(Flags);
end;

function TCardX.DrawTextBiDiModeFlagsReadingOnly(out Value: Integer): Integer;
begin
  Result := ControlInterface.DrawTextBiDiModeFlagsReadingOnly;
end;

function TCardX.GetControlsAlignment(out Value: TxAlignment): TxAlignment;
begin
  Result := ControlInterface.GetControlsAlignment;
end;

procedure TCardX.InitiateAction;
begin
  ControlInterface.InitiateAction;
end;

function TCardX.IsRightToLeft(out Value: WordBool): WordBool;
begin
  Result := ControlInterface.IsRightToLeft;
end;

function TCardX.UseRightToLeftAlignment(out Value: WordBool): WordBool;
begin
  Result := ControlInterface.UseRightToLeftAlignment;
end;

function TCardX.UseRightToLeftReading(out Value: WordBool): WordBool;
begin
  Result := ControlInterface.UseRightToLeftReading;
end;

function TCardX.UseRightToLeftScrollBar(out Value: WordBool): WordBool;
begin
  Result := ControlInterface.UseRightToLeftScrollBar;
end;

function TCardX.ClassNameIs(const Name: WideString; out Value: WordBool): WordBool;
begin
  Result := ControlInterface.ClassNameIs(Name);
end;

procedure TCardX.AboutBox;
begin
  ControlInterface.AboutBox;
end;

procedure Register;
begin
  RegisterComponents('ActiveX',[TCardX]);
end;

end.
