unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Grids, DBGrids, DB, DBTables;

type
  TMainForm = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    Table2: TTable;
    DataSource2: TDataSource;
    LeftGrid: TDBGrid;
    RightGrid: TDBGrid;
    Panel1: TPanel;
    LeftBtn: TButton;
    RightBtn: TButton;
    ExitBtn: TButton;
    Splitter1: TSplitter;
    procedure FormResize(Sender: TObject);
    procedure LeftBtnClick(Sender: TObject);
    procedure RightBtnClick(Sender: TObject);
    procedure ExitBtnClick(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormResize(Sender: TObject);
begin
//  Splitter1.Left := ClientWidth div 2 - Splitter1.Left div 2;
  ExitBtn.Left := ClientWidth div 2 - ExitBtn.Width div 2;
  LeftBtn.Left := ClientWidth div 4 - LeftBtn.Width div 2;
  RightBtn.Left := ClientWidth div 4 * 3 - RightBtn.Width div 2;
end;

procedure TMainForm.LeftBtnClick(Sender: TObject);
begin
  Table1.GotoCurrent(Table2);
end;

procedure TMainForm.RightBtnClick(Sender: TObject);
begin
  Table2.GotoCurrent(Table1);
end;

procedure TMainForm.ExitBtnClick(Sender: TObject);
begin
  Close;
end;

end.
