unit mtserv_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ mtserv Library }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_mtserv: TGUID = '{94AD1F90-C652-11D0-90E4-661A36000000}';

const

{ Component class GUIDs }
  Class_ServRDM: TGUID = '{94AD1F92-C652-11D0-90E4-661A36000000}';

type

{ Forward declarations: Interfaces }
  IServRDM = interface;
  IServRDMDisp = dispinterface;

{ Forward declarations: CoClasses }
  ServRDM = IServRDM;

{ Dispatch interface for ServRDM Object }

  IServRDM = interface(IDataBroker)
    ['{94AD1F91-C652-11D0-90E4-661A36000000}']
    function Get_EmployeeProvider: IProvider; safecall;
    procedure DoLogin(const ClientStr: WideString; var ClientID: Integer); safecall;
    property EmployeeProvider: IProvider read Get_EmployeeProvider;
  end;

{ DispInterface declaration for Dual Interface IServRDM }

  IServRDMDisp = dispinterface
    ['{94AD1F91-C652-11D0-90E4-661A36000000}']
    function GetProviderNames: OleVariant; dispid 22929905;
    property EmployeeProvider: IProvider readonly dispid 1;
    procedure DoLogin(const ClientStr: WideString; var ClientID: Integer); dispid 3;
  end;

{ ServRDMObject }

  CoServRDM = class
    class function Create: IServRDM;
    class function CreateRemote(const MachineName: string): IServRDM;
  end;



implementation

uses ComObj;

class function CoServRDM.Create: IServRDM;
begin
  Result := CreateComObject(Class_ServRDM) as IServRDM;
end;

class function CoServRDM.CreateRemote(const MachineName: string): IServRDM;
begin
  Result := CreateRemoteComObject(MachineName, Class_ServRDM) as IServRDM;
end;


end.
