unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DDG_DS, StdCtrls, Mask, DBCtrls, Grids, DBGrids, ExtCtrls;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DDGDataSet1: TDDGDataSet;
    Panel2: TPanel;
    lbInfo: TListBox;
    btnOpen: TButton;
    btnClose: TButton;
    DBNavigator1: TDBNavigator;
    btnEmpty: TButton;
    procedure btnOpenClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure btnEmptyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Tbl: TDDGDataSet;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.btnOpenClick(Sender: TObject);
begin
  DDGDataSet1.TableName := ExtractFilePath(ParamStr(0)) + 'Bar.ddg';
  DDGDataSet1.Open;
  lbINfo.Items.Add('===========================================');
  lbInfo.Items.Add('Number of Records: '+IntToStr(DDGDataSet1.RecordCount));
  lbInfo.Items.Add('File size:         '+IntToStr(DDGDataSet1.DataFileSize));
end;

procedure TForm1.btnCloseClick(Sender: TObject);
begin
  DDGDataSet1.Close;
end;


procedure TForm1.btnEmptyClick(Sender: TObject);
begin
  DDGDataSet1.EmptyTable;
end;

end.
