unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, DBGrids, DB, DBTables, ResQuery, ExtCtrls, DBCtrls, Mask;

type
  TMainForm = class(TForm)
    RestrictedQuery1: TRestrictedQuery;
    DataSource1: TDataSource;
    Button1: TButton;
    Edit1: TEdit;
    DBGrid1: TDBGrid;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure OnException(Sender: TObject; E: Exception);
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

uses BDE;

procedure TMainForm.OnException(Sender: TObject; E: Exception);
begin
  if E is EDBEngineError then
    if EDBEngineError(E).Errors[0].ErrorCode <> DBIERR_ROWFETCHLIMIT then
      Application.ShowException(E)
  else
    Application.ShowException(E);
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
  RestrictedQuery1.Close;
  RestrictedQuery1.MaxRowCount := StrToInt(Edit1.Text);
  RestrictedQuery1.Open;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Application.OnException := OnException;
end;

end.
