unit Server_TLB;

// ************************************************************************ //
// WARNING                                                                  //
// -------                                                                  //
// The types declared in this file were generated from data read from a     //
// Type Library. If this type library is explicitly or indirectly (via      //
// another type library referring to this type library) re-imported, or the //
// 'Refresh' command of the Type Library Editor activated while editing the //
// Type Library, the contents of this file will be regenerated and all      //
// manual modifications will be lost.                                       //
// ************************************************************************ //

// *********************************************************************//
// HelpString: Server Library
// Version:    1.0
// *********************************************************************//

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:      //
//   Type Libraries     : LIBID_xxxx                                    //
//   CoClasses          : CLSID_xxxx                                    //
//   DISPInterfaces     : DIID_xxxx                                     //
//   Non-DISP interfaces: IID_xxxx                                      //
// *********************************************************************//
const
  LIBID_Server: TGUID = '{36AFA182-F062-11D1-A8A6-0060978F02D2}';
  IID_IPooledRDM: TGUID = '{36AFA183-F062-11D1-A8A6-0060978F02D2}';
  CLASS_PooledRDM: TGUID = '{36AFA185-F062-11D1-A8A6-0060978F02D2}';
  CLASS_Pooler: TGUID = '{36AFA187-F062-11D1-A8A6-0060978F02D2}';

// *********************************************************************//
// Forward declaration of interfaces defined in Type Library            //
// *********************************************************************//
type
  IPooledRDM = interface;
  IPooledRDMDisp = dispinterface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                     //
// (NOTE: Here we map each CoClass to it's Default Interface            //
// *********************************************************************//
  PooledRDM = IPooledRDM;
  Pooler = IPooledRDM;

  IPooledRDM = interface(IDataBroker)
    ['{36AFA183-F062-11D1-A8A6-0060978F02D2}']
    function Select(const SQLStr: WideString): OleVariant; safecall;
  end;

// Dispinterface declaration for dual interface IPooledRDM

  IPooledRDMDisp = dispinterface
    ['{36AFA183-F062-11D1-A8A6-0060978F02D2}']
    function Select(const SQLStr: WideString): OleVariant; dispid 1;
  end;

  CoPooledRDM = class
    class function Create: IPooledRDM;
    class function CreateRemote(const MachineName: string): IPooledRDM;
  end;

  CoPooler = class
    class function Create: IPooledRDM;
    class function CreateRemote(const MachineName: string): IPooledRDM;
  end;

implementation

uses ComObj;

class function CoPooledRDM.Create: IPooledRDM;
begin
  Result := CreateComObject(CLASS_PooledRDM) as IPooledRDM;
end;

class function CoPooledRDM.CreateRemote(const MachineName: string): IPooledRDM;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_PooledRDM) as IPooledRDM;
end;

class function CoPooler.Create: IPooledRDM;
begin
  Result := CreateComObject(CLASS_Pooler) as IPooledRDM;
end;

class function CoPooler.CreateRemote(const MachineName: string): IPooledRDM;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_Pooler) as IPooledRDM;
end;

end.
