unit SrvrDM;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComServ, ComObj, VCLCom, StdVcl, BdeProv, DataBkr, DBClient, Server_TLB,
  Db, DBTables;

type
  TPooledRDM = class(TRemoteDataModule, IPooledRDM)
    Session1: TSession;
    Database1: TDatabase;
    Query1: TQuery;
  private
    { Private declarations }
  public
    { Public declarations }
  protected
    function Select(const SQLStr: WideString): OleVariant; safecall;
  end;

var
  PooledRDM: TPooledRDM;
  RDMFactory: TComponentFactory;
implementation

{$R *.DFM}

function TPooledRDM.Select(const SQLStr: WideString) : OleVariant;
begin
  Query1.SQL.Text := SQLStr;
  Result := Query1.Provider.Data;
end;

initialization
  RDMFactory := TComponentFactory.Create(ComServer, TPooledRDM,
    Class_PooledRDM, ciInternal, tmFree);
end.
