{
Copyright  1998 by Delphi 4 Developer's Guide - Xavier Pacheco and Steve Teixeira
}
unit ResQuery;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, DBTables, BDE;

type
  TRestrictedQuery = class(TQuery)
  private
    FMaxRowCount: Longint;
  protected
    procedure PrepareCursor; override;
  published
    property MaxRowCount: Longint read FMaxRowCount write FMaxRowCount;
  end;

implementation

procedure TRestrictedQuery.PrepareCursor;
begin
  inherited PrepareCursor;
  if FMaxRowCount > 0 then
  begin
    Check(DbiValidateProp(hDBIObj(Handle), curMAXROWS, True));
    Check(DbiSetProp(hDBIObj(Handle), curMAXROWS, FMaxRowCount));
  end;
end;

end.
